# CallbackFunctions Class Reference

`#include <callbackfunctions.hpp>`

List of all members.

## Public Member Functions
| CallbackFunctions (const mxArray *ptr)
| ~CallbackFunctions ()
bool | constraintFuncIsAvailable () const
bool | jacobianFuncIsAvailable () const
bool | hessianFuncIsAvailable () const
bool | iterFuncIsAvailable () const
double | computeObjective (const Iterate &x) const
void | computeGradient (const Iterate &x, double *g) const
void | computeConstraints (const Iterate &x, int m, double *c) const
SparseMatrix * | getJacobianStructure (int n, int m) const
SparseMatrix * | getHessianStructure (int n) const
void | computeJacobian (int m, const Iterate &x, SparseMatrix &J) const
void | computeHessian (const Iterate &x, double sigma, int m, const double *lambda, SparseMatrix &H) const
bool | iterCallback (int t, double f, double inf_pr, double inf_du, double mu, double d_norm, double regularization_size, double alpha_du, double alpha_pr, int ls_trials, const Ipopt::IpoptData *ip_data, Ipopt::IpoptCalculatedQuantities *ip_cq, int n) const
## Protected Attributes
MatlabFunctionHandle * | objfunc
MatlabFunctionHandle * | gradfunc
MatlabFunctionHandle * | constraintfunc
MatlabFunctionHandle * | jacobianfunc
MatlabFunctionHandle * | jacstrucfunc
MatlabFunctionHandle * | hessianfunc
MatlabFunctionHandle * | hesstrucfunc
MatlabFunctionHandle * | iterfunc

## Detailed Description

Definition at line 29 of file callbackfunctions.hpp.

## Constructor & Destructor Documentation

CallbackFunctions::CallbackFunctions | ( | const mxArray * | ptr | ) | `[explicit]`

CallbackFunctions::~CallbackFunctions | ( |  | ) |

## Member Function Documentation

bool CallbackFunctions::constraintFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 42 of file callbackfunctions.hpp.

bool CallbackFunctions::jacobianFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 43 of file callbackfunctions.hpp.

bool CallbackFunctions::hessianFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 44 of file callbackfunctions.hpp.

bool CallbackFunctions::iterFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 45 of file callbackfunctions.hpp.

double CallbackFunctions::computeObjective | ( | const Iterate & | x | ) | const

void CallbackFunctions::computeGradient | ( | const Iterate & | x,
|  | double * | g |
| ) |  |  | const

void CallbackFunctions::computeConstraints | ( | const Iterate & | x,
|  | int | m,
|  | double * | c |
| ) |  |  | const

SparseMatrix* CallbackFunctions::getJacobianStructure | ( | int | n,
|  | int | m |
| ) |  |  | const

SparseMatrix* CallbackFunctions::getHessianStructure | ( | int | n | ) | const

void CallbackFunctions::computeJacobian | ( | int | m,
|  | const Iterate & | x,
|  | SparseMatrix & | J |
| ) |  |  | const

void CallbackFunctions::computeHessian | ( | const Iterate & | x,
|  | double | sigma,
|  | int | m,
|  | const double * | lambda,
|  | SparseMatrix & | H |
| ) |  |  | const

bool CallbackFunctions::iterCallback | ( | int | t,
|  | double | f,
|  | double | inf_pr,
|  | double | inf_du,
|  | double | mu,
|  | double | d_norm,
|  | double | regularization_size,
|  | double | alpha_du,
|  | double | alpha_pr,
|  | int | ls_trials,
|  | const Ipopt::IpoptData * | ip_data,
|  | Ipopt::IpoptCalculatedQuantities * | ip_cq,
|  | int | n |
| ) |  |  | const

## Member Data Documentation

MatlabFunctionHandle* CallbackFunctions::objfunc`[protected]`

Definition at line 87 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::gradfunc`[protected]`

Definition at line 88 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::constraintfunc`[protected]`

Definition at line 89 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::jacobianfunc`[protected]`

Definition at line 90 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::jacstrucfunc`[protected]`

Definition at line 91 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::hessianfunc`[protected]`

Definition at line 92 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::hesstrucfunc`[protected]`

Definition at line 93 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::iterfunc`[protected]`

Definition at line 94 of file callbackfunctions.hpp.

The documentation for this class was generated from the following file:

- contrib/MatlabInterface/src/callbackfunctions.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines